import { c as a, C as s, a as e, s as t } from "./chunk-B4BG7PRW-c6EDWLtX.js";
import { _ as i } from "./mermaid.core-DPTeIFw-.js";
import "./chunk-FMBD7UC4-ja30rsmh.js";
import "./chunk-55IACEB6-DZbbVbej.js";
import "./chunk-QN33PNHL-BVuO3wOv.js";
import "./index-RZrnTzzg.js";
import "react";
import "react-dom";
var f = {
  parser: a,
  get db() {
    return new s();
  },
  renderer: e,
  styles: t,
  init: /* @__PURE__ */ i((r) => {
    r.class || (r.class = {}), r.class.arrowMarkerAbsolute = r.arrowMarkerAbsolute;
  }, "init")
};
export {
  f as diagram
};
